Skip to content
POST /collection/{id}/rows

Path Parameters

idstring
required·

Resource id

Request Body

rowsobject[]
typecastboolean

Response Body

deletedinteger
insertedinteger
replayedboolean
row_idsstring[]
stats
unchangedinteger
updatedinteger
curl -X POST 'https://api.elaichi.ai/collection/<id>/rows' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"rows":[],"typecast":true}'
const body = {
  "rows": [],
  "typecast": true
};

const response = await fetch('https://api.elaichi.ai/collection/<id>/rows', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import os
import requests

url = "https://api.elaichi.ai/collection/<id>/rows"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}
payload = {
    "rows": [],
    "typecast": True
}

response = requests.post(url, headers=headers, json=payload)
print(response.json())